Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003921 [DCSS] Bug Report tweak have not tried 2011-05-05 20:42 2017-01-03 15:02
Reporter rriegs View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.9 ancient branch
Summary 0003921: It's too easy to accidentally wield non-weapon items
Description From the the wield weapon list (or prompt if auto_list is off), pressing the letter of any item that isn't otherwise equipped puts said item in your hand, no questions asked, even if it makes no sense to do so. This wastes turns, which can be painful in combat, but also just feels a bit off given that the game warns you about attacking with your bow in hand, etc.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0012961)
rriegs (reporter)
2011-05-05 20:46

I would prompt the user with "Really wield %s?" for all items not appearing in the wield weapons list, e.g. so that wielding arrows only prompts for players that don't know Sticks to Snakes.
(0031387)
MarvinPA (developer)
2017-01-03 15:01

Non-weapons are no longer equipped except when explicitly selected with w*

- Issue History
Date Modified Username Field Change
2011-05-05 20:42 rriegs New Issue
2011-05-05 20:46 rriegs Note Added: 0012961
2013-03-31 08:01 mumra Issue Monitored: mumra
2017-01-03 15:01 MarvinPA Note Added: 0031387
2017-01-03 15:01 MarvinPA Status new => resolved
2017-01-03 15:01 MarvinPA Fixed in Branch => 0.20 development branch
2017-01-03 15:01 MarvinPA Resolution open => done
2017-01-03 15:01 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker